// Copyright (c) HashiCorp, Inc.
// SPDX-License-Identifier: BUSL-1.1

package globals

const (
	IdField                                     = "id"
	IdsField                                    = "ids"
	VersionField                                = "version"
	NameField                                   = "name"
	DescriptionField                            = "description"
	CreatedTimeField                            = "created_time"
	UpdatedTimeField                            = "updated_time"
	TypeField                                   = "type"
	AttributesField                             = "attributes"
	ScopeIdField                                = "scope_id"
	ScopeField                                  = "scope"
	AuthMethodIdField                           = "auth_method_id"
	AccountIdField                              = "account_id"
	UserIdField                                 = "user_id"
	IsPrimaryField                              = "is_primary"
	AuthorizedActionsField                      = "authorized_actions"
	AuthorizedCollectionActionsField            = "authorized_collection_actions"
	ExpirationTimeField                         = "expiration_time"
	ApproximateLastUsedTimeField                = "approximate_last_used_time"
	MembersField                                = "members"
	MemberIdsField                              = "member_ids"
	HostCatalogIdField                          = "host_catalog_id"
	HostSetIdsField                             = "host_set_ids"
	HostSourceIdsField                          = "host_source_ids"
	HostIdsField                                = "host_ids"
	PrincipalIdsField                           = "principal_ids"
	PrincipalsField                             = "principals"
	GrantScopeIdField                           = "grant_scope_id"
	GrantScopeIdsField                          = "grant_scope_ids"
	GrantsField                                 = "grants"
	GrantStringsField                           = "grant_strings"
	PrimaryAuthMethodIdField                    = "primary_auth_method_id"
	TargetIdField                               = "target_id"
	HostIdField                                 = "host_id"
	HostSetIdField                              = "host_set_id"
	HostSetsField                               = "host_sets"
	HostSourcesField                            = "host_sources"
	AuthTokenIdField                            = "auth_token_id"
	EndpointField                               = "endpoint"
	CertificateField                            = "certificate"
	TerminationReasonField                      = "termination_reason"
	StatusField                                 = "status"
	StatesField                                 = "states"
	SessionConnectionLimitField                 = "session_connection_limit"
	SessionMaxSecondsField                      = "session_max_seconds"
	WorkerFilterField                           = "worker_filter"
	EgressWorkerFilterField                     = "egress_worker_filter"
	IngressWorkerFilterField                    = "ingress_worker_filter"
	AccountIdsField                             = "account_ids"
	AccountsField                               = "accounts"
	LoginNameField                              = "login_name"
	FullNameField                               = "full_name"
	PrimaryAccountIdField                       = "primary_account_id"
	EmailField                                  = "email"
	ManagedGroupIdsField                        = "managed_group_ids"
	FilterField                                 = "filter"
	CredentialStoreIdField                      = "credential_store_id"
	ApplicationCredentialSourceIdsField         = "application_credential_source_ids"
	ApplicationCredentialSourcesField           = "application_credential_sources"
	BrokeredCredentialSourceIdsField            = "brokered_credential_source_ids"
	BrokeredCredentialSourcesField              = "brokered_credential_sources"
	PreferredEndpointsField                     = "preferred_endpoints"
	SyncIntervalSecondsField                    = "sync_interval_seconds"
	PluginIdField                               = "plugin_id"
	PluginField                                 = "plugin"
	PluginNameField                             = "plugin_name"
	IpAddressesField                            = "ip_addresses"
	DnsNamesField                               = "dns_names"
	SecretsHmacField                            = "secrets_hmac"
	ExternalIdField                             = "external_id"
	ExternalNameField                           = "external_name"
	InjectedApplicationCredentialSourceIdsField = "injected_application_credential_source_ids"
	InjectedApplicationCredentialSourcesField   = "injected_application_credential_sources"
	ConnectionsField                            = "connections"
	CredentialTypeField                         = "credential_type"
	CredentialMappingOverridesField             = "credential_mapping_overrides"
	MetricNamespace                             = "boundary"
	LastStatusTimeField                         = "last_status_time"
	AddressField                                = "address"
	CanonicalAddressField                       = "canonical_address"
	TagsField                                   = "tags"
	CanonicalTagsField                          = "canonical_tags"
	ConfigTagsField                             = "config_tags"
	ApiTagsField                                = "api_tags"
	ConfigurationField                          = "configuration"
	WorkerGeneratedAuthTokenField               = "worker_generated_auth_token"
	WorkerProvidedConfigurationField            = "worker_provided_configuration"
	ActiveConnectionCountField                  = "active_connection_count"
	ControllerGeneratedActivationToken          = "controller_generated_activation_token"
	ReleaseVersionField                         = "release_version"
	KeyPurposeField                             = "purpose"
	KeyVersionsField                            = "key_versions"
	KeyVersionIdField                           = "key_version_id"
	CompletedCountField                         = "completed_count"
	TotalCountField                             = "total_count"
	DirectlyConnectedDownstreamWorkersField     = "directly_connected_downstream_workers"
	AttributesAddressField                      = "attributes.address"
	SecretsField                                = "secrets"
	MimeTypeField                               = "mime_type"
	MimeTypesField                              = "mime_types"
	SessionIdField                              = "session_id"
	StorageBucketIdField                        = "storage_bucket_id"
	BytesUpField                                = "bytes_up"
	BytesDownField                              = "bytes_down"
	StartTimeField                              = "start_time"
	EndTimeField                                = "end_time"
	DurationField                               = "duration"
	StateField                                  = "state"
	ErrorDetailsField                           = "error_details"
	ConnectionRecordingsField                   = "connection_recordings"
	CreateTimeValues                            = "create_time_values"
	DefaultPortField                            = "default_port"
	StoragePolicyIdField                        = "storage_policy_id"
	RetainUntilField                            = "retain_until"
	DeleteAfterField                            = "delete_after"
)
